REGTESTS: use "command" instead of "which" for better POSIX compatibility

for example, "which" is not installed by default in Fedora docker image.
diff --git a/scripts/run-regtests.sh b/scripts/run-regtests.sh
index af25a60..7bcc394 100755
--- a/scripts/run-regtests.sh
+++ b/scripts/run-regtests.sh
@@ -191,8 +191,8 @@
     done
 
     for requiredbin in $require_binaries; do
-      which $requiredbin >/dev/null 2>&1
-      if [ "$?" -eq "1" ]; then
+      if ! command -v $requiredbin >/dev/null 2>&1
+      then
         echo "  Skip $i because '"$requiredbin"' is not installed"
         skiptest=1
       fi